$Revision: 1889 $
        $Author: ctapmex $ $Date: 2012-11-16 16:39:17 +0100 (Fri, 16 Nov 2012) $
        1. Исправлено отображение сообщения о загрузки схем при отключенном плагине (#4)

#Revision: 1883
        Author: ctapmex Date: 2012-11-15 13:34:37 +0600 (Чт, 15 ноя 2012)
        1. Исправлена ошибка вызова плагина через Plugin.Call (#3)

#Revision: 1882
        #Author: ctapmex Date: 2012-11-12 17:58:30 +0600 (Пн, 12 ноя 2012)
        1. Far3 2948 API
        2. MinFarVersion 3.0.0.2927

#Revision: 1881
        #Author: ctapmex Date: 2012-11-12 17:20:49 +0600 (Пн, 12 ноя 2012)
        1.еще правки ресурсов

#Revision: 1880
        #Author: ctapmex Date: 2012-11-12 16:17:43 +0600 (Пн, 12 ноя 2012)
        1. исправлен и переименован shortcuts.xml в shortcuts.farconfig 
        2. исправлены ресурсы для сборки в far

#Revision: 1873
        #Author: ctapmex Date: 2012-10-08 11:22:20 +0600 (Пн, 08 окт 2012)
        1. Far3 2876 API
        2. x64 warnings

#Revision: 1871
        #Author: ctapmex Date: 2012-10-05 12:22:07 +0600 (Пт, 05 окт 2012)
        1. ошибка чтения сохраненных настроек.
				
#Revision: 1870
        #Author: ctapmex Date: 2012-09-26 17:11:15 +0600 (Ср, 26 сен 2012)
        1. старая ошибка вставки текста из аутлайна клавишами ctrl+enter
        2. немного адаптаций к новому api

#Revision: 1869
        #Author: ctapmex Date: 2012-09-26 12:13:14 +0600 (Ср, 26 сен 2012)
        1. исправлен shortcuts.xml под новый формат
				
#Revision: 1867
        #Author: ctapmex Date: 2012-09-24 15:41:46 +0600 (Пн, 24 сен 2012)
        1. Far3 2836 API

#Revision: 1861
        #Author: ctapmex Date: 2012-06-16 18:25:50 +0600 (Сб, 16 июн 2012)
        1. Far3 2734 API

#Revision: 1850
        #Author: ctapmex Date: 2012-03-26 14:48:52 +0600 (Пн, 26 мар 2012)
        1. Far3 2573 API

#Revision: 1846
        #Author: ctapmex Date: 2012-03-25 18:52:54 +0600 (Вс, 25 мар 2012)
        1. Far3 2570 API

#Revision: 1836
        #Author: ctapmex Date: 2012-03-15 10:32:00 +0600 (Чт, 15 мар 2012)
        1. выводим название текущего региона, а не родительского
        2. изменено название пунтка меню

#Revision: 1829
        #Author: ctapmex Date: 2012-03-14 15:15:05 +0600 (Ср, 14 мар 2012)
        1. дополнены файлы справки
        2. исправлен один из guid меню

#Revision: 1826
        #Author: ctapmex Date: 2012-03-11 16:56:42 +0600 (Вс, 11 мар 2012)
        1. Реализован вызов плагина из макросов по callplugin

#Revision: 1823
        #Author: ctapmex Date: 2012-03-07 11:52:39 +0600 (Ср, 07 мар 2012)
        1. В меню добавлен пункт вывода имени региона и схемы под курсором

#Revision: 1817
        #Author: ctapmex Date: 2012-03-05 17:35:34 +0600 (Пн, 05 мар 2012)
        1. Far3 2521 API
        2. при смене цветового стиля не происходило обновление раскраски

#Revision: 1812
        #Author: ctapmex Date: 2012-02-07 11:40:12 +0600 (Вт, 07 фев 2012)
        1. Far3 2442 API

#Revision: 1807
        #Author: ctapmex Date: 2012-01-04 17:03:25 +0600 (Ср, 04 янв 2012)
        1. совместимость с win2000 sp4 для VC2010

#Revision: 1803
        #Author: ctapmex Date: 2011-12-27 11:39:50 +0600 (Вт, 27 дек 2011)
        1. сломался ввод символов _ и ~ в outline

#Revision: 1802
        #Author: ctapmex Date: 2011-12-26 16:47:29 +0600 (Пн, 26 дек 2011)
        1. проверять наличие rgb стилей нужно только при включенном режиме truemode

#Revision: 1801
        #Author: ctapmex Date: 2011-12-25 20:27:24 +0600 (Вс, 25 дек 2011)
        1. shortcuts.reg заменен на shortcuts.xml

#Revision: 1800
        #Author: ctapmex Date: 2011-12-25 20:27:24 +0600 (Вс, 25 дек 2011)
        1. при смене типа файла не очищались списки функций и ошибок

#Revision: 1798
        #Author: ctapmex Date: 2011-12-24 22:29:01 +0600 (Сб, 24 дек 2011)
        1. Far3 2317 API. Far3 Ready.

#Revision: 1796
        #Author: ctapmex Date: 2011-09-13 23:02:46 +0600 (Вт, 13 сен 2011)
        1. сломалась смена цвета редактора

#Revision: 1795
        #Author: ctapmex Date: 2011-09-12 21:32:05 +0600 (Пн, 12 сен 2011)
        1. при отображении в редакторе символов пробела/табуляции им задавался
        разный цвет.

#Revision: 1794
        #Author: ctapmex Date: 2011-09-12 16:45:51 +0600 (Пн, 12 сен 2011)
        1. откат 1792.1 - не нужны опции . всегда рисуем правильный крест
        2. ошибка отображения креста в 1792

#Revision: 1792
        #Author: ctapmex Date: 2011-09-05 22:56:14 +0600 (Пн, 05 сен 2011)
        1. Far3 2192 API
        2. новый параметр по отображению символа tab. теперь "крест" соответсвует кресту.

#Revision: 1790
        #Author: ctapmex Date: 2011-09-02 14:22:55 +0600 (Пт, 02 сен 2011)
        1. упрощена функция раскраски экрана
         а) код более понятный
         б) cross работает на всех темах (ранее на темных(черных) не работал)
         в) cross работает в truemode

#Revision: 1789
        #Author: ctapmex Date: 2011-09-01 16:21:47 +0600 (Чт, 01 сен 2011)
        1. упрощение в outliner в связи с переходом на новое api

#Revision: 1788
        #Author: ctapmex Date: 2011-09-01 15:13:13 +0600 (Чт, 01 сен 2011)
        1. ошибка очистки экрана при вызове диалога настроек
        2. ошибка в экспортируемой функции, и избавление от возможного пересечения с именем глоб. переменной

#Revision: 1787
        #Author: ctapmex Date: 2011-09-01 12:39:43 +0600 (Чт, 01 сен 2011)
        1. немного рефакторинга с показом ошибок

#Revision: 1786
        #Author: ctapmex Date: 2011-09-01 11:34:22 +0600 (Чт, 01 сен 2011)
        1. наведение порядка с типами в SettingsControl
        2. исключение в SettingsControl
        3. немного форматирования кода
        4. Far3 2184 API (неизбежность, надо проверять , не сломалось ли что)

#Revision: 1785
        #Author: ctapmex Date: 2011-08-31 11:44:55 +0600 (Ср, 31 авг 2011)
        1. makefile

#Revision: 1783
        #Author: ctapmex Date: 2011-08-30 14:09:46 +0600 (Вт, 30 авг 2011)
        1. инициализация параметров, и недостяжимый код

#Revision: 1782
        #Author: ctapmex Date: 2011-08-30 10:35:12 +0600 (Вт, 30 авг 2011)
        1. ошибка освобождения памяти

#Revision: 1781
        #Author: ctapmex Date: 2011-08-29 22:53:38 +0600 (Пн, 29 авг 2011)
        1. makefile

#Revision: 1780
        #Author: ctapmex Date: 2011-08-29 22:34:37 +0600 (Пн, 29 авг 2011)
        1. коррекция отладочной информации
        2. Far3 2181 API

#Revision: 1776
        #Author: ctapmex Date: 2011-08-29 16:50:32 +0600 (Пн, 29 авг 2011)
        1. Far3 2180 API

#Revision: 1773
        #Author: ctapmex Date: 2011-08-09 12:37:19 +0600 (Вт, 09 авг 2011)
        1. немного упростим функцию PathToFull

#Revision: 1772
        #Author: ctapmex Date: 2011-08-08 20:43:20 +0600 (Пн, 08 авг 2011)
        1. доделан truemod. (остался крест для него)

#Revision: 1771
        #Author: ctapmex Date: 2011-08-05 11:29:55 +0600 (Пт, 05 авг 2011)
        1. защита от использования на far2

#Revision: 1770
        #Author: ctapmex Date: 2011-08-05 11:15:28 +0600 (Пт, 05 авг 2011)
        1. продолжаем переделку truemod

#Revision: 1769
        #Author: ctapmex Date: 2011-08-04 00:15:16 +0600 (Чт, 04 авг 2011)
        1. продолжаем переделку truemod

#Revision: 1768
        #Author: ctapmex Date: 2011-08-03 22:57:28 +0600 (Ср, 03 авг 2011)
        1. начало переделки родного truemod на фаровский

#Revision: 1766
        #Author: ctapmex Date: 2011-08-03 11:27:41 +0600 (Ср, 03 авг 2011)
        1. Far3 build 2124 API

#Revision: 1765
        #Author: ctapmex Date: 2011-07-24 23:56:40 +0600 (Вс, 24 июл 2011)
        1. некоторые оптимизации/упрощения

#Revision: 1764
        #Author: ctapmex Date: 2011-07-24 17:52:49 +0600 (Вс, 24 июл 2011)
        1. полностью переименовываем плагин на FarColorer

#Revision: 1761
        #Author: ctapmex Date: 2011-07-22 14:49:33 +0600 (Пт, 22 июл 2011)
        1. ошибка при попытке редактирваония горячей клавиши для "Autodetect"

#Revision: 1753
        #Author: ctapmex Date: 2011-07-14 15:50:15 +0600 (Чт, 14 июл 2011)
        1. 1751.1

#Revision: 1752
        #Author: ctapmex Date: 2011-07-14 14:58:32 +0600 (Чт, 14 июл 2011)
        1. rollback InternalString

#Revision: 1751
        #Author: ctapmex Date: 2011-07-13 16:43:02 +0600 (Ср, 13 июл 2011)
        1. утечки памяти

#Revision: 1748
        #Author: ctapmex Date: 2011-07-10 17:37:21 +0600 (Вс, 10 июл 2011)
        1. Far3 build 2105 API

#Revision: 1735
        #Author: ctapmex Date: 2011-07-05 11:00:10 +0600 (Вт, 05 июл 2011)
        1. Far3 build 2098 API
        2. size_t

#Revision: 1733
        #Author: ctapmex Date: 2011-07-04 15:05:03 +0600 (Пн, 04 июл 2011)
        1. для hotkey в диалоге настроек схем отображался неверный combobox

#Revision: 1731
        #Author: ctapmex Date: 2011-07-04 14:35:15 +0600 (Пн, 04 июл 2011)
        1. незакрыт хэндл

#Revision: 1730
        #Author: ctapmex Date: 2011-07-04 12:37:36 +0600 (Пн, 04 июл 2011)
        1. откат 1711.

#Revision: 1729
        #Author: ctapmex Date: 2011-07-04 12:00:45 +0600 (Пн, 04 июл 2011)
        1. некоторые оптимизации

#Revision: 1728
        #Author: ctapmex Date: 2011-07-04 11:24:47 +0600 (Пн, 04 июл 2011)
        1. дополнена справка

#Revision: 1727
        #Author: ctapmex Date: 2011-07-03 23:42:29 +0600 (Вс, 03 июл 2011)
        1. поправлено поведение меню выбора типа файлов при добавлении/удалении в "Избранные"
        2. назначение горячих клавиш для элементов меню выбора типа файлов клавишей "F4"

#Revision: 1726
        #Author: ctapmex Date: 2011-07-01 17:45:07 +0600 (Пт, 01 июл 2011)
        1. для параметра FullBack и всех системных параметров схем в списке выбора
        значений отображались неверные значения.
        2. новое меню выбора типа файлов
        шаг 2: сохранение изменений в группе "Избранное".
        добавить Ins, удалить Delete

#Revision: 1725
        #Author: ctapmex Date: 2011-07-01 15:38:55 +0600 (Пт, 01 июл 2011)
        1. два новых параметра для типов файлов
          - горячая клавиша для меню выбора
          - помещать ли в в группу "Избранные"
        2. новое меню выбора типа файла
        шаг 1: строится меню из настроек, типы добавляются/удаляются из "Избранные".
        Но изменения не сохраняются. (настройка через диалог настройки схем).

#Revision: 1723
        #Author: ctapmex Date: 2011-06-30 15:55:21 +0600 (Чт, 30 июн 2011)
        1. ошибка чтения настроек при заданном пути до catalog.xml

#Revision: 1719
        #Author: ctapmex Date: 2011-06-29 09:59:44 +0600 (Ср, 29 июн 2011)
        1. Far3 build 2085 API

#Revision: 1714
        #Author: ctapmex Date: 2011-06-28 13:44:11 +0600 (Вт, 28 июн 2011)
        1. ошибка установки цвета фона редактора

#Revision: 1711
        #Author: ctapmex Date: 2011-06-27 17:26:52 +0600 (Пн, 27 июн 2011)
        1. лишняя прорисовка для пустого региона

#Revision: 1709
        #Author: ctapmex Date: 2011-06-24 15:01:07 +0600 (Пт, 24 июн 2011)
        1. падение при входе в окно настроек схем

#Revision: 1707
        #Author: ctapmex Date: 2011-06-22 10:40:11 +0600 (Пт, 22 июн 2011)
        1. Far3 build 2075 API

#Revision: 1705
        #Author: ctapmex Date: 2011-05-21 21:45:35 +0600 (Сб, 21 май 2011)
        1. Far3 build 2043 API

#Revision: 1703
        #Author: ctapmex Date: 2011-03-24 12:26:48 +0500 (Чт, 24 мар 2011)
        1. рефакторинг

#Revision: 1702
        Author: ctapmex Date: 2011-03-23 17:21:20 +0500 (Ср, 23 мар 2011)
        1. обработка возможной ошибки в FarEditorSet::openMenu
        2. при вставке текста из Outliner устанавливаем курсор на конец вставленного текста

#Revision: 1701
        Author: ctapmex Date: 2011-03-23 15:39:43 +0500 (Ср, 23 мар 2011)
        1. Far3 build 1929 API
        2. функции в SettingsControl переделаны/скопированы по аналогии с Far`овскими

#Revision: 1692
        Author: ctapmex Date: 2011-03-18 17:51:47 +0500 (Пт, 18 мар 2011)
        1. меняем умолчания для отображения креста

#Revision: 1677
        Author: ctapmex Date: 2011-03-13 23:25:26 +0500 (Вс, 13 мар 2011)
        1. Far3 build 1907 API
        2. truemod пока не трогаем - надо переделывать сам far
        3. версию плагина не трогаем, иногда реализовывают пожелания трудящихся )

#Revision: 1673
        Author: ctapmex Date: 2011-03-10 18:06:00 +0500 (Чт, 10 мар 2011)
        1. переименовываем проект в pcolorer3

#Revision: 1662
        Author: ctapmex Date: 2011-02-28 14:40:46 +0500 (Пн, 28 фев 2011)
        1. работа с настройками плагина вынесена в отдельный класс и
         работает через API Far3
        2. Colorer переведен полностью на Far3 build 1895 API
        3. в связи с особенностями работы фар с версией плагина, меняем текущую версию
         с 1.0.3.1 на 1.3.1
        4. плагин именуем FarColorer, а не Colorer

#Revision: 1661
        Author: ctapmex Date: 2011-02-27 00:40:10 +0500 (Вс, 27 фев 2011)
        1. меню Outliner

#Revision: 1660
        Author: ctapmex Date: 2011-02-26 23:37:42 +0500 (Сб, 26 фев 2011)
        1. диалоги настройки плагина

#Revision: 1659
        Author: ctapmex Date: 2011-02-26 12:03:16 +0500 (Сб, 26 фев 2011)
        1. починка меню плагина и меню выбора типа файла
        2. переименование экспортируемых функций

#Revision: 1658
        Author: ctapmex Date: 2011-02-26 11:05:28 +0500 (Сб, 26 фев 2011)
        1. обновлен far3sdk
        2. продолжаем адаптацию к новому API
          - читаем настройки и сохраняем через far api (пока кроме hrc настроек)
          - исправление вызова EditorControl , теперь колорер работает в редакторе

#Revision: 1657
        Author: ctapmex Date: 2011-02-24 17:15:01 +0500 (Чт, 24 фев 2011)
        1. адаптация к нововму API - исправление вызова функций, добавлены
         новые экспортируеммые функции. Часть кода пока закомментировано.
         плагин собирается, с фаром запускается. но не более.
        2. в far3sdk добавлена поддержка truemod.

#Revision: 1653-1655
        Author: ctapmex Date: 2011-02-23 23:28:40 +0500 (Ср, 23 фев 2011)
        1. готовимся к Far3
        2. Обновлено far sdk. учитываем , что оно не окончательно
        3. исправлены все файлы проектов на новое имя папки

#Revision: 1636
        Author: ctapmex Date: 2011-01-10 14:25:29 +0500 (Пн, 10 янв 2011)
        1. загатовка для help, или уже minihelp. Можно использовать на сайте

#Revision: 1632
        Author: ctapmex Date: 2011-01-06 21:14:12 +0500 (Чт, 06 янв 2011)
        1. частичный откат 1624

#Revision: 1630
        Author: ctapmex Date: 2011-01-05 20:37:28 +0500 (Ср, 05 янв 2011)
        1. дважды заносили один экземпляр редактора

#Revision: 1629
        Author: ctapmex Date: 2011-01-05 17:55:19 +0500 (Ср, 05 янв 2011)
        1. ошибка доступа к памяти

#Revision: 1626
        Author: ctapmex Date: 2010-11-20 22:27:17 +0500 (Сб, 20 ноя 2010)
        1. падение при ошибке открытия файла стиля

#Revision: 1625
        Author: ctapmex Date: 2010-11-20 20:12:46 +0500 (Сб, 20 ноя 2010)
        1. утечки памяти и обращение к непроинициализированным переменным

#Revision: 1624
        Author: ctapmex Date: 2010-11-19 16:37:16 +0500 (Пт, 19 ноя 2010)
        1. обработка ошибки загрузки цветового стиля в консольном режиме просмотра
        (поведение приведено к reloadbase)

#Revision: 1623
        Author: ctapmex Date: 2010-11-16 13:58:00 +0500 (Вт, 16 ноя 2010)
        1. warnings x64
        2. версия 1.0.3

#Revision: 1621
        Author: ctapmex Date: 2010-11-14 12:49:33 +0500 (Вс, 14 ноя 2010)
        1. очищаем выделенную память

#Revision: 1620
        Author: ctapmex Date: 2010-11-13 21:28:32 +0500 (Сб, 13 ноя 2010)
        1. диалог настроек схем не работает при выключенном плагине
        2. отредактированы языковые файлы и файлы помощи
        3. неверный порядок загрузки пользовательских схем и параметров
        4. перед сохранением пользовательских параметров удаляем раздел этого типа файлов
        иначе остаются параметры, кторые стали по умолчанию

#Revision: 1618
        Author: ctapmex Date: 2010-11-13 16:33:35 +0500 (Сб, 13 ноя 2010)
        1. установка цвета фона при перезагрузке базы.
        2. при удалении редакторов очищать мы можем только текущий (ограничение far)
        3. при переходе между редакторами после перезагрузки схем или смены стиля
        перерисовка (обновление экрана) происходила только после пользовательского события
        (клавиатура, мышь)

#Revision: 1616
        Author: ctapmex Date: 2010-11-08 20:38:40 +0500 (Пн, 08 ноя 2010)
        1. форма настройки параметров схем
        2. исправлено отображение неверного числа схем в меню выбора схемы

#Revision: 1615
        Author: ctapmex Date: 2010-11-08 11:16:06 +0500 (Пн, 08 ноя 2010)
        1. сохранение пользовательских настроек схем в реестр.

#Revision: 1610
        Author: ctapmex Date: 2010-11-02 15:38:40 +0500 (Вт, 02 ноя 2010)
        1. падение плагина после сборки с помощью gcc

#Revision: 1609
        Author: ctapmex Date: 2010-11-02 13:41:44 +0500 (Вт, 02 ноя 2010)
        1. gcc warnings

#Revision: 1608
        Author: ctapmex Date: 2010-11-02 10:12:57 +0500 (Вт, 02 ноя 2010)
        1. забытые две константы из 1607

#Revision: 1607
        Author: ctapmex Date: 2010-11-01 17:12:06 +0500 (Пн, 01 ноя 2010)
        1. FarEditorSet::viewFile - убраны лишние проверки
        2. Константы, инициализация переменных и небольшие оптимизации

#Revision: 1605
        Author: ctapmex Date: 2010-10-31 23:14:38 +0500 (Вс, 31 окт 2010)
        1. инициализация
        2. поправлен makefile

#Revision: 1604
        Author: ctapmex Date: 2010-10-31 22:14:16 +0500 (Вс, 31 окт 2010)
        1. возможные утечки памяти и неиспользуемые переменные

#Revision: 1602
        Author: ctapmex Date: 2010-10-31 00:34:17 +0600 (Вс, 31 окт 2010)
        1. Добавлена возможность указывать свой внешний файл со списком схем.

#Revision: 1601
        Author: ctapmex Date: 2010-10-30 23:40:27 +0600 (Сб, 30 окт 2010)
        1. Проверка возможности исполнения SetBgEditor перенесена в саму функцию. и красиво и решает ошибку.
        2. Добавлена возможность указывать свой внешний файл со списком цветовых стилей.

#Revision: 1598
        Author: ctapmex Date: 2010-10-27 17:15:32 +0600 (Ср, 27 окт 2010)
        1. читаем пользовательские значения параметров схем из реестра.

#Revision: 1595
        Author: ctapmex Date: 2010-10-25 21:23:18 +0600 (Пн, 25 окт 2010)
        1. читаем far`овские параметры не из proto.hrc, а из hrcsettings.xml

#Revision: 1594
        Author: ctapmex Date: 2010-10-25 20:17:52 +0600 (Пн, 25 окт 2010)
        1. теперь базы раскраски хранятся в папке base, и при запуске базы ищутся либо
                в этой папке, либо по указанному в настройках пути.

#Revision: 1592
        Author: ctapmex Date: 2010-10-25 15:56:13 +0600 (Пн, 25 окт 2010)
        1. в диалог настроек добавлено описание причины не включения TrueMod

#Revision: 1591
        Author: ctapmex Date: 2010-10-25 14:14:19 +0600 (Пн, 25 окт 2010)
        1. при ошибке нахождения баз ( ReloadBase) плагин падает

#Revision: 1590
        Author: ctapmex Date: 2010-10-25 14:09:06 +0600 (Пн, 25 окт 2010)
        1. отмена 1589 , неожиданное поведение "отмена действия " в VC

#Revision: 1589
        Author: ctapmex Date: 2010-10-25 13:57:06 +0600 (Пн, 25 окт 2010)
        1. при ошибке нахождения баз ( ReloadBase) плагин падает

#Revision: 1579
        Author: ctapmex Date: 2010-10-17 23:04:53 +0600 (Вс, 17 окт 2010)
        1. крест был всегда черным

#Revision: 1578
        Author: ctapmex Date: 2010-10-17 22:18:44 +0600 (Вс, 17 окт 2010)
        1. косметика диалога настроек
        2. доделал 1575

#Revision: 1577
        Author: ctapmex Date: 2010-10-14 21:03:53 +0600 (Чт, 14 окт 2010)
        1. продолжаем 1576.1

#Revision: 1576
        Author: ctapmex Date: 2010-10-14 17:19:06 +0600 (Чт, 14 окт 2010)
        1. дооптимизировался :(. исправленs проблемы с раскраской блочных комментариев

#Revision: 1575
        Author: ctapmex Date: 2010-10-14 14:48:48 +0600 (Чт, 14 окт 2010)
        1. clr при включенном truemod работал некоректно.

#Revision: 1569
        Author: ctapmex Date: 2010-10-13 17:19:54 +0600 (Ср, 13 окт 2010)
        1. неверное определение truemod для смены фона редактора
        2. отдельная настройка для цветового стиля truemod

#Revision: 1567
        Author: ctapmex Date: 2010-10-12 19:46:49 +0600 (Вт, 12 окт 2010)
        1. отключаем крест и смену фона редактора для truemode.

#Revision: 1566
        Author: ctapmex Date: 2010-10-07 16:00:01 +0600 (Чт, 07 окт 2010)
        1. ошибка при сохранении параметров, если до этого не был открыт редактор

#Revision: 1565
        Author: ctapmex Date: 2010-10-06 17:11:53 +0600 (Ср, 06 окт 2010)
        1. изменение системных настроек цвета "обычный текст" редактора на цвет
        по умолчанию для цветовой схемы.

#Revision: 1564
        Author: ctapmex Date: 2010-10-06 12:04:54 +0600 (Ср, 06 окт 2010)
        1. настройка ресурсов dll. файл нельзя править через редактор, удаляются ifdef
        2. исправлено описание в макросах

#Revision: 1562
        Author: ctapmex Date: 2010-10-05 15:27:29 +0600 (Вт, 05 окт 2010)
        1. настройка ресурсов dll
        2. truemod по умолчанию включен
        3. переименованы хелп и языковые файлы

#Revision: 1561
        Author: ctapmex Date: 2010-10-05 14:28:32 +0600 (Вт, 05 окт 2010)
        1. маленькая оптимизация
        2. дополнен help

#Revision: 1560
        Author: ctapmex Date: 2010-10-05 00:11:24 +0600 (Вт, 05 окт 2010)
        1. опция для включения/выключения truemod

#Revision: 1559
        Author: ctapmex Date: 2010-10-01 14:17:57 +0600 (Пт, 01 окт 2010)
        1. откат 1558.2

#Revision: 1558
        Author: ctapmex Date: 2010-09-30 22:57:52 +0600 (Чт, 30 сен 2010)
        1. изменена структура color
        2. удален параметр fullback, не актуален
        3. оптимизация раскраски кода

#Revision: 1557
        Author: ctapmex Date: 2010-09-28 18:00:45 +0600 (Вт, 28 сен 2010)
        1. отображение креста в консольном режиме

#Revision: 1556
        Author: ctapmex Date: 2010-09-25 22:01:49 +0600 (Сб, 25 сен 2010)
        1. дополнительная проверка можно ли работать в truemod
        2. отображение креста в консольном режиме

#Revision: 1555
        Author: ctapmex Date: 2010-09-23 17:46:57 +0600 (Чт, 23 сен 2010)
        1. merge with colorer truemod

#Revision: 1554
        Author: ctapmex Date: 2010-09-22 16:04:13 +0600 (Ср, 22 сен 2010)
        1. мусор в строке возвращаемой функцией PathToFull.

#Revision: 1550
        Author: ctapmex Date: 2010-09-20 23:08:36 +0600 (Пн, 20 сен 2010)
        1. clr работает с сетевыми путями

#Revision: 1541
        Author: ctapmex Date: 2010-08-05 21:01:58 +0600 (Чт, 05 авг 2010)
        1. после выхода far 2.0 build 1625 избавляемся от хака для быстрого получения строк из редактора

#Revision: 1533
        Author: ctapmex Date: 2010-07-17 21:49:00 +0600 (Сб, 17 июл 2010)
        1. еще одно падение при вызове clr
        2. переименование функции PathToFoll. Как назавешь корабль, так и поплывёт (с).

#Revision: 1530
        Author: ctapmex Date: 2010-07-15 22:50:31 +0600 (Чт, 15 июл 2010)
        1. исправлено "окно Outliner в фильтр принимает цифры с цифровой клавиатуры"
        2. обновлен far2 sdk
        3. history.ru.txt
        4. FarColorer 1.0.2.7

#Revision: 1527
        Author: ctapmex Date: 2010-07-15 20:29:05 +0600 (Чт, 15 июл 2010)
        1. зачем перерисовывать в фаре, если мы ничего не меняли. Решает проблему мигания курсора.

#Revision: 1526
        Author: ctapmex Date: 2010-07-13 00:28:40 +0600 (Вт, 13 июл 2010)
        1. создаем editorSet только при реальной работе или открытии окна настроек
        2. инициализая указателей

#Revision: 1477
        Author: ctapmex Date: 2010-04-15 19:47:55 +0600 (Чт, 15 апр 2010)
        1. history.ru.txt
        2. FarColorer 1.0.2.6

#Revision: 1475
        Author: ctapmex Date: 2010-04-15 14:20:02 +0600 (Чт, 15 апр 2010)
        1. окно Outliner в фильтр принимает ~.
        2. ошибка работы "креста" при выборе типа раскраски

#Revision: 1468
        Author: ctapmex Date: 2010-03-18 10:12:29 +0500 (Чт, 18 мар 2010)
        1. окно Outliner в фильтр принимает цифры с цифровой клавиатуры.

#Revision: 1440
        Author: ctapmex Date: 2010-03-07 21:01:55 +0500 (Вс, 07 мар 2010)
        1. борьба с warning

#Revision: 1439
        Author: ctapmex Date: 2010-03-07 20:13:07 +0500 (Вс, 07 мар 2010)
        1. некоторые warnings
        2. версия бибилиотеки 1.0.2.6

#Revision: 1435
        Author: ctapmex Date: 2010-03-06 17:54:19 +0500 (Сб, 06 мар 2010)
        1. FarColorer 1.0.2.5

#Revision: 1432
        Author: ctapmex Date: 2010-03-06 15:36:28 +0500 (Сб, 06 мар 2010)
        1. слияние с ctapmex-far2colorer r1397,r1425,r1430
                (1. makefile для MinGW 2. форматирование кода под стандарт)

#Revision: 1382
  Author: ctapmex Date: 2010-02-12 15:46:52 +0500 (Пт, 12 фев 2010)
        1. убраны неиспользуемые переменные
        2. добавлена проверка на null

#Revision: 1381
  Author: ctapmex Date: 2010-02-12 14:18:35 +0500 (Пт, 12 фев 2010)
        1. ошибка доступа при вызове EnableColorer не находясь в редакторе
        2. поправлен размер диалога настроек
        3. обновлен far2sdk
        4. из OpenPluginW убраны ненужные действия

#Revision: 1380
  Author: ctapmex Date: 2010-02-12 12:29:27 +0500 (Пт, 12 фев 2010)
        1. реализована очистка всех окон редактора при отключении плагина.

#Revision: 1379
  Author: ctapmex Date: 2010-02-12 09:55:35 +0500 (Пт, 12 фев 2010)
        1. поправлены makefile для учета нового tools.cpp
                !!Но, в shared в непонятной (не нужной?) папке exparse есть свой tools... надо что то делать
        2. для dropAllEditors добавлен параметр "чистить или нет последствия работы"
        3. ускоряем cleanEditor() за счет хака far

#Revision: 1378
  Author: ctapmex Date: 2010-02-11 23:43:09 +0500 (Чт, 11 фев 2010)
        1. вспомогательные функции (trim, ExpandEnvironment) вынесены из FarEditorSet.cpp в
                отдельный модуль tools.cpp
        2. новая функция PathToFool - конвертирует путь до файла в полный или UNC, проверяя на переменные окружения,
                относительность пути, текущую директорию, кавычки вокруг пути.
                !!! unc пути работают только в windows, только в юникодных функциях. в пути не должно быть символов /
        3. ExpandEnvironment заменена на PathToFool
        4. исправлен размер массива для вывода ошибок в функции viewFile

#Revision: 1372
  Author: ctapmex Date: 2010-02-11 17:18:25 +0500 (Чт, 11 фев 2010)
        1. из диалога настроек убрана кнопка "Тест catalog.xml" за не надобностью, т.к. кнопка "Ок" перед сохранением
                делает это же. Раньше "Ок" не выполняло этой функции.

#Revision: 1371
  Author: ctapmex Date: 2010-02-11 16:31:38 +0500 (Чт, 11 фев 2010)
        1. опечатка в r1369
        2. поправил название функции ApplySettingsToEditors, для отображения действительности
        3. из getCurrentEditor выделил код в отдельную функцию addNewEditor

#Revision: 1369
  Author: ctapmex Date: 2010-02-11 15:13:01 +0500 (Чт, 11 фев 2010)
        1. продолжение r1368.2

#Revision: 1368
  Author: ctapmex Date: 2010-02-11 13:50:25 +0500 (Чт, 11 фев 2010)
        1. автоматизация шапки этого файла не очень удачная-)
        2. убрано часть security функций по работе со строками и поправлены хедеры для сборки под cygwin

#Revision: 1367
        Author: ctapmex Date: 2010-02-11 12:23:01 +0500 (Чт, 11 фев 2010)
        1. исправлена ошибка игнорирования EEREDRAW_CHANGE, что например проявлялось с плагином AutoComplete

#Revision: 1338
        Author: ctapmex Date: 2010-02-09 10:42:55 +0500 (Вт, 09 фев 2010)
        1. Поправил бардак с предыдущей ревизии
        2. Пробую автоматизировать шапку этого файла.

#revision 1313
        ctapmex 05.02.2010 22:10
        промежуточная ревизия. все работает, но бардак в коде. прошу пока не пинать.
        1. Для диалога настроек используем отдельную функцию, для обработки сообщений.
        2. функции для чтения настроек, записи настроек, и применения их на редакторы.

#revision 1312
        ctapmex 05.02.2010 16:22
        1. Убрал info (PluginStartupInfo) из FarEditorSet. Вместо него используется глобальная
    переменная Info.

#revision 1302
        ctapmex 04.02.2010 23:40
        1. рефакторинг работы с реестром
                а) уберем отрицание из имен параметров.
                б) define заменены на константы
                в) добавлены значения по умолчанию для параметров
                г) функции для чтения параметров принимают значение по умолчанию
                д) функция для записи всех настроек по умолчанию

#revision 1299
        ctapmex 04.02.2010 12:13
        1. поправлены valid тесты
        2. устанавливаем версию плагинов в 1.0.2.4 и собираем релиз
        3. сборка схем. тесты проходят на 100%
        4. файл истории изменения FarColor

#revision 1298
        ctapmex 04.02.2010 11:11
        1. поправлен баг в makefile, с отображением #<< . заменены тесты для него
        2. слияние с 1287

#revision 1297
        ctapmex 04.02.2010 09:58
        1. меню "Список функций" (FarEditor::showOutliner)
                а) комбинация Ctrl-Enter вставляла в редактор текст в иероглифах ( неверная кодировка)
                б) нормально вводяться в фильтр клавиши ":;-_"
                в) дополнены файлы помощи и языковые файлы
          г) ускоренное получение строк из фара

#revision 1296
        ctapmex 03.02.2010 15:35
        1. r1273 пункт 2 отменим, и переделаем по другому - добавим в тип xml расширение wxs и fb2
        2. исправлены дублирующие горячие клавиши в меню настройки
        3. в FarEditor::updateHighlighting добавлен быстрый доступ к строкам
        4. для типа "plain text" добалено .log и LICENSE
        5. в связи с ускорением работы, глюк с срабатыванием колорера (загрузка процессора) на неизвестных типах файлов
                по схеме <type name="default"><scheme name='default'/> можно считать исчерпанным. Т.к. если сделать какое то
                ограничение в коде на обработку этого типа, то пропадает возможность настройки своего типа по умолчанию.

#revision 1295
        ctapmex 03.02.2010 10:52
        1. в FarEditor::editorInput не использовался хак фара для быстрого доступа к строкам. после исправления существенно
                увеличилась скорость
        2. в BaseEditor::validate исправлено возможное зацикливание
        3. маленькая оптимизация кода

#revision 1278
        ctapmex 25.01.2010 10:21
        1. переделал r1183 , т.к. оказалось, что хелп pcolorer2 не соответсвовал описанию в ParserFactory.h
                но так же учитываем, что HOMEPATH в Windows не содержит имя диска
                итого, сейчас следующий порядок поиска
                для Windows
                - Каталог с dll плагина, на уровень выше, на два уровня выше.
                - %COLORER5CATALOG%
                - %HOMEDRIVE%%HOMEPATH%\.colorer5catalog
                - %SYSTEMROOT%/.colorer5catalog (или %WINDIR% в w9x)
                для nix
                - $COLORER5CATALOG
                - $HOME\.colorer5catalog
                - $HOMEPATH/.colorer5catalog
                - /usr/share/colorer/catalog.xml
                - /usr/local/share/colorer/catalog.xml
        2. изменения отражены в хелпе

#revision 1273
        ctapmex 18.01.2010 15:03
        1. исправим умолчание в proto.hrc  - use GNU make only = false , иначе мейки от VC отображаются коряво
        2. исправим в proto.hrc вес для plain text , иначе, например xml файлы по содержанию, но по имени похожем
                на install*.* отображаются как plain text

#revision 1268
        ctapmex 17.01.2010 15:29
        1. поправлена схема assa.hrc. Но нужны доп. правки. описание в todo.txt, а примеры в папке test

#revision 1267
        ctapmex 16.01.2010 17:58
        1. переделана функция rGetValueSz. вызывается по другому, предыдущая содержала возможную утечку памяти
        2. косметика - в файлах плагина pcolorer2 заменен null на NULL .

#revision 1264
        ctapmex 15.01.2010 12:20
        1. изменил размеры и положение некоторых элементов в окне настроек
        2. устанавливаем версию плагина в 1.0.2.3 и собираем релиз
        3. обновление языковых файлов и файлов помощи
        4. обновление истории изменения FarColor

#revision 1263
        ctapmex 15.01.2010 11:54
        1. критическая ошибка, возникала на части копьютеров
                я понимаю, что сглупил, но вот проявление этой ошибки интересное
                http://forum.vingrad.ru/forum/topic-287378.html

#revision 1262
        ctapmex 15.01.2010 10:48
        1. исправление дублирующих имен переменных
        2. ошибка доступа к памяти при сохранении параметров при первом запуске фара

#revision 1257
        ctapmex 14.01.2010 10:28
        1. добавил файл todo.txt , для сохранения жалоб и пожеланий в работе плагина.
        зы. я не против если кто то что то исправит ;)

#revision 1242
        ctapmex 13.01.2010 23:28
        1. устанавливаем версию плагинов в 1.0.2.2 и собираем релиз
        2. сборка схем. тесты проходят на 100%
        3. файл истории изменения FarColor

#revision 1241
        ctapmex 13.01.2010 17:03
        1. заменил часть вызовов функций работы с строками на безопасные их аналоги
        2. слияние с ревизиями 1180,1190,1191,1193,1196,1200,1217-1219,1240 - изменение/добавление схем
        3. тест схем, замена на новые valid версии

#revision 1238
        ctapmex 13.01.2010 11:47
        1. убрана опция "Время до показа диалога отмены" , т.к. фактически ни где в коде не используется
        2. обновление языковых файлов и файлов помощи
  3. переделана диалог настроек ( размер , положение...)
        4. исправлена ошибка при отмене выбора цветового стиля
        5. убраны лишние языковые константы

#revision 1235
        ctapmex 12.01.2010 21:23
        1. обновление языковых файлов и файлов помощи, для отражения последних изменений
        2. удалена лишняя константа

#revision 1234
        ctapmex 12.01.2010 20:16
        1. r1234 пункт 1 - ничего не поменял. видимо у меня только локальная копия изменилась, а подумал что еще и в хранилище
        2. обновил far2 sdk

#revision 1233
        ctapmex 12.01.2010 19:37
        1. поправил файлы бибилиотеки zlib на оригинальные , в некоторые когда то затисались id после попытки компиляции в gcc
        2. JARInputSource::openStream - утечки памяти при возникновении ошибок. Например не найден файл в архиве.

#revision 1232
        ctapmex 12.01.2010 17:29
        1. Для "Reload" и "Reload all" используется функция FarEditorSet::TestLoadBase . Она использует локальные переменные
                для теста базы. За счет чего не портятся FarEditorSet.parserFactory и другие, что раньше требовало перезагрузку базы.
        2. Небольшой рефакторинг - выделение кода в отдельные функции
        3. переделка r1220 пункт 3. Итог
                а) если плагин отключен, то при загрузке имя цветовой схемы пишится без описания.
                б) "Reload" тестирует возможность загрузки catalog.xml и цветовой схемы, основываясь на данных что отображены в окне настроек,
                        реестр игнорируется. При ошибке загрузки не отключает плагин.
                в) "Reload all" в начале вызывает "Reload", а потом тестирует оставшиеся схемы.
                г) При закрытии настроек по "Ок" базы перезагружаются только при смене цветовой схемы или пути до catalog.xml.

#revision 1231
        ctapmex 12.01.2010 11:21
        1. конец запаркам с String и DString - переход на SString  ;)
        2. перевод комментариев в коде на англ.
        3. changelog перевел в UTF8, надеюсь в транке будет нормально отображаться

#revision 1220
        ctapmex 10.01.2010 22:29
        1. свежий взгляд на r1201, убрал malloc в пользу new
        2. ошибка при отмене выбора цветовой схемы. ( ох уж эти String и DString, запарился с ними за последние 3 дня :-) )
        3. сценарий работы окна настроек
                а) если плагин отключен, то при загрузке имя цветовой схемы пишится без описания.
                б) "Reload" тестирует возможность загрузки catalog.xml и цветовой схемы, основываясь на данных что отображены в окне настроек,
                        реестр игнорируется. При ошибке загрузки не отключает плагин.
                в) "Reload all" в начале вызывает "Reload", а потом тестирует оставшиеся схемы.
    г) При закрытии настроек по "Ок" мы перегружаем базы всегда.
        !из-за этого создадим пункт в меню для перезагрузки базы.
                д) при закрытии по "Cancel" перегружаем базы если были нажатия на "Reload"
        4. поправлены файлы помощи и языковые файлы pcolorer2 для отражения пункта 3
        5. назначил номер версии плагина 1.0.2.2 beta. Отдам на тестирование добровольцам.

#revision 1216
        ctapmex 10.01.2010 19:39
        1. мы не обязаны обрабатывать ошибки пользователя - если он залез в реестр или в какой то файл и что то напортачил,
                то надо говорить ему об этом и все. Trim будем применять только при сохранении настроек из диалога.
        2. функция rGetValueSz для чтения реестра - сама выделяет нужное количество памяти под строку.
        3. Переделал диалог настройки. Раньше могли происходить утечки памяти на стороне фара, из-за того что мы не освобождали
                хэндл открытого окна.
                 Кнопка "Reload" теперь служит для проверки базы и цветовой схемы, указанной в диалоге настройки, а не читая значения из реестра.
        4. поправлена ошибка обработки пользовательского пути до catalog.xml, приводящая к полному игнорированию этого пути

                !!!надо внимательно протестировать работу меню настройки!!!

#revision 1201
        ctapmex 06.01.2010 23:41
        1. команда clr не работала если имя файла передавалось в кавычках
        !!!на ближайшее будущее, пересмотреть OpenPluginW свежим взглядом - слишком много операций над строками!!!

#revision 1197
        ctapmex 05.01.2010 23:47
        1. если плагин отключен, то зачем производить кучу ненужных действий при старте редактора? исправлено
        2. мелкие оптимизации
        3. добавлен модуль vld.h в дебаг версию. Visual Leak Detector http://sites.google.com/site/dmoulding/vld
                можно удалить, если нету его.

#revision 1195
        ctapmex 05.01.2010 21:24
        1. мелкие оптимизации

#revision 1194
        ctapmex 05.01.2010 20:11
        1. мелкие оптимизации и убирание ненужного

#revision 1189
        ctapmex 04.01.2010 16:41
        1. поправил схему c.hrc для нормального отображения переменных окружения
        2. слияние с r1180

#revision 1188
        ctapmex 03.01.2010
        1. продолжение r1187, не учитывался вариант с относительным длинным путем. Написан более изящный вариант
                с использsванием API Far
        2. отказ от build_message
                Не удобно, когда разбивается путь к файлу на строки (нельзя скопировать). Да и стало известно, что в фаре
                можно курсором перейти на длинную строку и просмотреть её полностью. Надежда на то, что в будущих версиях
                фара будет интуитивно понятно, что данная строка в сообщении об ошибке длинная, и её можно прокрутить
        3. в сообщения об ошибках info->Message добавил флаг FMSG_WARNING

#revision 1187
        ctapmex 30.12.2009 15:45
        1. команда clr: поддерживает длинные пути windows (более 260 символов), и переменные окружения

#revision 1186
        ctapmex 30.12.2009 11:51
        1. убрал один warning
        2. в пути до catalog.xml можно указывать переменные окружения. Например %programfiles%\far2\plugins\colorer_se\catalog.xml

#revision 1185
        ctapmex 30.12.2009 10:51
        1. вывод ошибки в viewfile сделал через функцию build_message, чтобы было полностью видно имя файла
        2. поправлены файлы помощи для pcolorer2 для отражения r1183

        Поддержка pcolorer будет проходить на остаточном принципе. Если будет время и желание.

#revision 1184
        ctapmex 30.12.2009 09:56
        1. в TextConsoleViewer::view  в вызове CreateConsoleScreenBuffer установил разрешение на чтение/запись. Иначе
                приводит к "зависанию" некоторых программ. "При использовании команды clr:!.! для просмотра файлов far "зависает". В ConEmu." (C)Maximus5

#revision 1183
        ctapmex 30.12.2009 09:48
        1. в ParserFactory.SearchPath поиск catalog.xml шёл не в том порядке, как написанно в хелпе для pcolorer2.
                Так же не учитывалось, что HOMEPATH в Windows не содержит имя диска
                установим такой порядок поиска
                для Windows
                - %COLORER5CATALOG%
                - %HOMEDRIVE%%HOMEPATH%\.colorer5catalog
                - %SYSTEMROOT%/.colorer5catalog (или %WINDIR% в w9x)
                - Каталог с dll плагина, на уровень выше, на два уровня выше.
                для nix
                - %COLORER5CATALOG%
                - %HOME%\.colorer5catalog
                - /usr/share/colorer/catalog.xml
                - /usr/local/share/colorer/catalog.xml

#revision 1182
  ctapmex 29.12.2009 16:06
        1. повторяю слова t-rex, реально запарило.
        "Все изменения в коде только косметические. Тупо надоела уже мешанина табов и пробелов и т.п.
   Прогрнал на сорцы следующее:
   AStyle --style=ansi --indent=tab=4 --brackets=break --indent-classes --indent-switches --indent-namespaces --indent-preprocessor --break-blocks --delete-empty-lines --unpad-paren --keep-one-line-statements --keep-one-line-blocks
   Не идеально конечно, но уже намного приятней.

   Так что не забываем, в коде нужно использовать табы. Таб == 4 пробела."

        Изменения касаются только pcolorer2

#revision 1181
  ctapmex 29.12.2009 15:51
        1. функция build_message для построения сообщения об ошибке. Разбивает длинную строку (длиннее ширины консоли).
                        на более мелкие.
        2. для ошибки открытия файла добавлено имя этого файла.

#revision 1179
  ctapmex 24.12.2009 16:25
        1. для r1169 пункт 3 забыл мелочь одну

#revision 1178
  ctapmex 23.12.2009 23:44
        1. очередная правка файлов помощи для плагинов фара
        2. устанавливаем версию плагинов в 1.0.2.1 и собираем релиз
        3. сборка схем. тесты проходят на 100%

#revision 1177
  ctapmex 23.12.2009 17:34
        1. слил с ревизией 1174.
        2. отредактированы файлы помощи для плагинов фара
        3. поправлен список изменений в схемах
        С пунктом 1 возможно и бегу в переди паровоза, но думаю на большем количестве людей оно быстрее оттестируется.
        Планирую в течении суток сделать релиз с полным набором - плагин + схемы

#revision 1176
  ctapmex 23.12.2009 12:10
        1. отредактированы языковые файлы и файлы помощи для плагинов фара

#revision 1175
  ctapmex 23.12.2009 11:45
  1. в pcolorer внесены примерно теже изменения, что и в pcolorer2 в этом бранче
                - исправлены утечки памяти
                - плагин убирает за собой при отключении
                - ошибки при работе с не trim строками
        2. в pcolorer2 исправлена небольшая ошибка при работе с не trim строками

#revision 1173
  ctapmex 22.12.2009 22:06
  1. для pcolorer создан проект в VC 2008
        2. исправлены файлы для нормальной сборки под vc, соответсвенно поправлены и makefile

#revision 1172
  ctapmex 22.12.2009 21:20
  1. исправлены файлы помощи и языковые файлы плагина pcolorer

#revision 1171
  ctapmex 22.12.2009 21:08
        1. исправлен makefile.vc для pcolorer.
        2. обновлен farsdk
        3. плагин pcolorer приведен к состоянию собирается/работает

#revision 1170
  ctapmex 22.12.2009 20:09
        1. исправлен makefile.vc для pcolorer2. таргет clean работал не правильно, не мог вызвать rmdir
        2. из shared/_dependencies.dep удалены ненужные упоминания файлов плагина для фара

#revision 1169
  ctapmex 18.12.2009 21:33
  1. colorer\hrc\auto\far.hrc переименован в colorer\hrc\auto\fartypes.hrc - часто создается путаница
                с lib/far.hrc
  2. в far.hrc исправлена ошибка с неверным путем до схемы раскраски макросов (r1150)
        3. для "Config, INI and CTL" убран вес маски типов файлов. иначе схема не вызывается никогда. отличительной
                чертой от "Other INI" - начальный символ #

#revision 1168
  ctapmex 18.12.2009 21:07
  1. немного поправлен reg.hrc , для красоты и приемственности старой раскраски
  2. для вызова схемы "Far macros" добавлены актуальные шаблоны имени файлов

#revision 1167
  ctapmex 18.12.2009 15:45
        1. переработана схема reg.hrc
                 в ревизиях 1159-1161 был переделан reg.hrc, переписан с нуля. После написаниея  выяснялось,
                        что существует два подхода к написанию схем. Жадный и не жадный. я писал его по жадному алгоритму.
          - обычный (не жадный), который применяется во всех схемах. идя слева на право с текста беря ближайший
                                нужный элемент (скобка, кавычка). При таком подходе часты ситуации , когда из-за одной ошибки все
                                ниже идущее раскрашивается как ошибка
                - жадный. мы пытаемся в частично неверной строке найти верные части и указать ошибки. Для рег файла в
                        итоге получилось неплохо. Но не идеально.. ограничения моих способностей и самой библиотеки, а скорее
                        всего и самого подхода
                 жадный - более красивое отображение при ошибках, но есть случаи которые не сделать никак. Например
                        двойственное понимание строки   "name"="string" ;dfsd" . тут может быть ;dfsd" комментарием, а может
                        быть частью значения с ошибкой , где средняя кавычка не экранирована
                 не жадный - отображается на корректных файлах нормально, но на ошибках может раскрасить неверно весь файл

                лучше корректность на корректных файлах чем красота на некорректных
                ревизии 1159-1161 интересны как попытка применения другого подхода. Так сказать академический интерес

#revision 1166
  ctapmex 18.12.2009 10:09
        1. в c.hrc добавлено корректное отображение переменных окружения  %PATH%

#revision 1165
  ctapmex 17.12.2009 20:01
        1. удалил test.reg из тестов, т.к. он заменен в ревизии 1159 на более объемный тест
        2. поправлен config.hrc . Комментарии должны быть или с начала строки , или миниму через
                пробельный символ от последнего текста. пример qwqwq=qwqwqw#sdsds   , тут # значение параметра
        3. исправлен valid файл для config.hrc , ruby.rb , build.xml, forth (внешне все нормально)
  4. исправлена раскраска awk.hrc ,теперь проходит тест

#revision 1164
  ctapmex 17.12.2009 15:12
        1. правка shortcuts.reg для работы с far2

#revision 1163
  ctapmex 17.12.2009 12:25
        1. слияние ревизий 1029-1068,1071-1078,1080-1099,1105-1107,1110 из бранча EFREMOV-BASE2

#revision 1162
  ctapmex 15.12.2009 11:44
        1. исправление в русском языковом файле плагина для far

--------------------
 в ревизиях 1159-1161 был переделан reg.hrc
 работает теперь по жадному алгоритму, т.е. пытается даже в ошибочной строке найти "хорошую строку"
  и указать на ошибки в ней. Благодаря чему стала хорошо работать подсветка экранируемых символов,
  и деление на имя параметра и значение параметра . Так же теперь при ошибках в одной строке не светятся
  ошибочными нижележащие.
 Далее, убрана подсветка переменных ( %чтото% и $чтото ) в именах параметров. оно надо ?
 Строковое значение параметра (в кавычках) должно быть в одной строке , иначе подсвечивается как ошибка.
 подсветка unc путей.
 и другие мелочи
 но есть 2 бага:
        1. если в имени параметра встречается "= (даже с пробелами между ними) строка делится на части не правильно.
         экранирование кавычки не поможет.
        2. например такой случай
                 @="" ;"
                 когда в комментарии идет кавычка, даже экранированная. жадный алгоритм считает что тут нет комментария.
-------------------

#revision 1161
  ctapmex 14.12.2009 17:42
        1. в схеме reg.hrc в подгруппе far не обрабатывались щначения по умолчанию @

#revision 1160
  ctapmex 14.12.2009 17:03
        1. в схеме reg.hrc поправлено отображение UNC путей

#revision 1159
  ctapmex 14.12.2009 16:48
        1. переработана схема reg.hrc
                разобраны все возможные случаи, кроме одного - последний символ в файле должен быть \r\n. Как это
                        сделать, и возможно ли не знаю.
                ошибки связанные с макросами фара не правились, это отдельная схема.


#revision 1158
  ctapmex 04.12.2009 12:40
        1. правки языковых файлов плагина
        2. установка номера версии плагина в 1.0.2

#revision 1157
  ctapmex 04.12.2009 11:44
        1. изменено значение опции "Крест".
         [ ] Не показывать никогда
     [?] Показывать если включено в схеме
     [x] Показывать всегда
     исправлено имя ключа в реестре, для отражения сути
    2. исправлены файлы помощи и языковые файлы плагина

#revision 1156
  ctapmex 03.12.2009 17:02
        1. взяты изменения транка ревизии 1146, но сделано немного по другому - зачем выделять
           память под класс, если на следующем шаге она уже освобождается